Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.schemas.v2
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.samcivics.schemas.v2.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.samcivics.schemas.v2 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.samcivics.schemas.v2

Method Summary
`FindCNKRequest` | `createFindCNKRequest()` Create an instance of `FindCNKRequest`
`FindCNKResponse` | `createFindCNKResponse()` Create an instance of `FindCNKResponse`
`FindParagraphRequest` | `createFindParagraphRequest()` Create an instance of `FindParagraphRequest`
`FindParagraphResponse` | `createFindParagraphResponse()` Create an instance of `FindParagraphResponse`
`FindParagraphTextRequest` | `createFindParagraphTextRequest()` Create an instance of `FindParagraphTextRequest`
`FindParagraphTextResponse` | `createFindParagraphTextResponse()` Create an instance of `FindParagraphTextResponse`
`FindPublicCNKRequest` | `createFindPublicCNKRequest()` Create an instance of `FindPublicCNKRequest`
`FindPublicCNKResponse` | `createFindPublicCNKResponse()` Create an instance of `FindPublicCNKResponse`
`FindReimbursementConditionsRequest` | `createFindReimbursementConditionsRequest()` Create an instance of `FindReimbursementConditionsRequest`
`FindReimbursementConditionsResponse` | `createFindReimbursementConditionsResponse()` Create an instance of `FindReimbursementConditionsResponse`
`GetAddedDocumentsRequest` | `createGetAddedDocumentsRequest()` Create an instance of `GetAddedDocumentsRequest`
`GetAddedDocumentsResponse` | `createGetAddedDocumentsResponse()` Create an instance of `GetAddedDocumentsResponse`
`GetParagraphExclusionsRequest` | `createGetParagraphExclusionsRequest()` Create an instance of `GetParagraphExclusionsRequest`
`GetParagraphExclusionsResponse` | `createGetParagraphExclusionsResponse()` Create an instance of `GetParagraphExclusionsResponse`
`GetParagraphIncludedSpecialtiesRequest` | `createGetParagraphIncludedSpecialtiesRequest()` Create an instance of `GetParagraphIncludedSpecialtiesRequest`
`GetParagraphIncludedSpecialtiesResponse` | `createGetParagraphIncludedSpecialtiesResponse()` Create an instance of `GetParagraphIncludedSpecialtiesResponse`
`GetProfessionalAuthorizationsRequest` | `createGetProfessionalAuthorizationsRequest()` Create an instance of `GetProfessionalAuthorizationsRequest`
`GetProfessionalAuthorizationsResponse` | `createGetProfessionalAuthorizationsResponse()` Create an instance of `GetProfessionalAuthorizationsResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.samcivics.schemas.v2

Method Detail

### createFindCNKRequest

    public FindCNKRequest createFindCNKRequest()

  Create an instance of `FindCNKRequest`

### createFindCNKResponse

    public FindCNKResponse createFindCNKResponse()

  Create an instance of `FindCNKResponse`

### createFindParagraphTextRequest

    public FindParagraphTextRequest createFindParagraphTextRequest()

  Create an instance of `FindParagraphTextRequest`

### createFindParagraphTextResponse

    public FindParagraphTextResponse createFindParagraphTextResponse()

  Create an instance of `FindParagraphTextResponse`

### createGetParagraphExclusionsRequest

    public GetParagraphExclusionsRequest createGetParagraphExclusionsRequest()

  Create an instance of `GetParagraphExclusionsRequest`

### createGetParagraphExclusionsResponse

    public GetParagraphExclusionsResponse createGetParagraphExclusionsResponse()

  Create an instance of `GetParagraphExclusionsResponse`

### createGetParagraphIncludedSpecialtiesRequest

    public GetParagraphIncludedSpecialtiesRequest createGetParagraphIncludedSpecialtiesRequest()

  Create an instance of `GetParagraphIncludedSpecialtiesRequest`

### createGetParagraphIncludedSpecialtiesResponse

    public GetParagraphIncludedSpecialtiesResponse createGetParagraphIncludedSpecialtiesResponse()

  Create an instance of `GetParagraphIncludedSpecialtiesResponse`

### createGetProfessionalAuthorizationsRequest

    public GetProfessionalAuthorizationsRequest createGetProfessionalAuthorizationsRequest()

  Create an instance of `GetProfessionalAuthorizationsRequest`

### createGetProfessionalAuthorizationsResponse

    public GetProfessionalAuthorizationsResponse createGetProfessionalAuthorizationsResponse()

  Create an instance of `GetProfessionalAuthorizationsResponse`

### createGetAddedDocumentsRequest

    public GetAddedDocumentsRequest createGetAddedDocumentsRequest()

  Create an instance of `GetAddedDocumentsRequest`

### createGetAddedDocumentsResponse

    public GetAddedDocumentsResponse createGetAddedDocumentsResponse()

  Create an instance of `GetAddedDocumentsResponse`

### createFindReimbursementConditionsRequest

    public FindReimbursementConditionsRequest createFindReimbursementConditionsRequest()

  Create an instance of `FindReimbursementConditionsRequest`

### createFindReimbursementConditionsResponse

    public FindReimbursementConditionsResponse createFindReimbursementConditionsResponse()

  Create an instance of `FindReimbursementConditionsResponse`

### createFindParagraphRequest

    public FindParagraphRequest createFindParagraphRequest()

  Create an instance of `FindParagraphRequest`

### createFindParagraphResponse

    public FindParagraphResponse createFindParagraphResponse()

  Create an instance of `FindParagraphResponse`

### createFindPublicCNKRequest

    public FindPublicCNKRequest createFindPublicCNKRequest()

  Create an instance of `FindPublicCNKRequest`

### createFindPublicCNKResponse

    public FindPublicCNKResponse createFindPublicCNKResponse()

  Create an instance of `FindPublicCNKResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.